# $Id: perl-Array-RefElem.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dries
# Upstream: Gisle Aas <gisle$ActiveState,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Array-RefElem

Summary: Use references as elements in hashes and arrays
Name: perl-Array-RefElem
Version: 1.00
Release: 1.2.%{releasetagsuffix}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Array-RefElem/

Source: http://www.cpan.org/modules/by-module/Array/Array-RefElem-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This module give direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/Array/RefElem/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/Array/
%{perl_vendorarch}/Array/RefElem.pm
%dir %{perl_vendorarch}/auto/Array/
%{perl_vendorarch}/auto/Array/RefElem/

%changelog
* Sat Jun 15 2004 Dries Verachtert <dries@ulyssis.org> - 1.00-1 #5970
- Initial package.

